#ifndef EEPROM_24FC1025_H_INCLUDED
#define EEPROM_24FC1025_H_INCLUDED

#define CONTROL_CODE 0xA0
#define BLOCK_SELECT(B0) (B0 << 3)
#define CHIP_SELECT(A1, A0) (((A1 << 1) | A0 ) << 1)
#define SETADDRESS(high, low) ((high << 8) | low)
#define WRITE 0x00
#define READ 0x01

#define NO_ACKNOWLEDGE 0x00
#define ACKNOWLEDGE 0x01

typedef short int byte;
typedef unsigned int word;
typedef long int dword;


// Write functions
void EEPROM_24FC1025_WriteSingle(byte control_byte, word address, byte data);
void EEPROM_24FC1025_WriteMultiple(byte control_byte, word address, word bytes2write, byte *data_buffer);

// Read functions
byte EEPROM_24FC1025_ReadSingle(byte control_byte, word address);
void EEPROM_24FC1025_ReadMultiple(byte control_byte, word address, word bytes2read, byte *data_buffer);

#endif // EEPROM_24FC1025_H_INCLUDED
